Package twisted :: Package conch :: Package ssh :: Module factory :: Class OpenSSHFactory |
[frames | no frames]

## Class OpenSSHFactory

    Factory --+
              |
     SSHFactory --+
                  |
                 OpenSSHFactory

Method Summary
`dict` | ``getPrimes`(self)` Called when the factory is started to get Diffie-Hellman generators and primes to use.
`dict` | ``getPrivateKeys`(self)` Called when the factory is started to get the private portions of the servers host keys.
`dict` | ``getPublicKeys`(self)` Called when the factory is started to get the public portions of the servers host keys.
Inherited from SSHFactory
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
`tuple` | ``getDHPrime`(self, bits)` Return a tuple of (g, p) for a Diffe-Hellman process, with p being as close to bits bits as possible.
subclass of {service.SSHService} | ``getService`(self, transport, service)` Return a class to use as a service for the given transport.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
Inherited from Factory
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Class Variable Summary
`str` | `dataRoot` = `'/usr/local/etc'`
`str` | `moduliRoot` = `'/usr/local/etc'`
Inherited from SSHFactory
`dict` | `services` = `{'ssh-userauth': <Fake userauth.SSHUserAuthSe...`
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0
`NoneType` | `protocol` = None

Method Details

### getPrimes(self) Called when the factory is started to get Diffie-Hellman generators and primes to use. Returns a dictionary mapping number of bits to lists of tuple of (generator, prime). Returns: `dict` Overrides: `twisted.conch.ssh.factory.SSHFactory.getPrimes` (inherited documentation)

### getPrivateKeys(self) Called when the factory is started to get the private portions of the servers host keys. Returns a dictionary mapping SSH key types to `Crypto.PublicKey.pubkey.pubkey` objects. Returns: `dict` Overrides: `twisted.conch.ssh.factory.SSHFactory.getPrivateKeys` (inherited documentation)

### getPublicKeys(self) Called when the factory is started to get the public portions of the servers host keys. Returns a dictionary mapping SSH key types to public key strings. Returns: `dict` Overrides: `twisted.conch.ssh.factory.SSHFactory.getPublicKeys` (inherited documentation)

Class Variable Details

    ### dataRoot Type: `str` Value:
        '/usr/local/etc'

    ### moduliRoot Type: `str` Value:
        '/usr/local/etc'

Generated by Epydoc 2.0 on Sat Oct 25 00:54:45 2003 | http://epydoc.sf.net